petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMSetDimension

Set the topological dimension of the DM

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMSetDimension(DM dm, PetscInt dim)

Collective on dm Many br

### Input Parameters

| dm | - The DM Many br
| dim | - The topological dimension Many br

Many br

### See Also

DMGetDimension(), DMCreate()

Level:beginner
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex11.c.html